---
title: Document.body
slug: Web/API/Document/body
tags:
  - API
  - Document
  - HTML DOM
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>Document.body</code></strong> property represents the {{HTMLElement("body")}} or {{HTMLElement("frameset")}} node of the current document, or <code>null</code> if no such element exists.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <var>objRef</var> = document.body
document.body = <var>objRef</var></pre>

<h2 id="Example">Example</h2>

<pre class="brush:js">// Given this HTML: &lt;body id="oldBodyElement"&gt;&lt;/body&gt;
alert(document.body.id); // "oldBodyElement"

const aNewBodyElement = document.createElement("body");

aNewBodyElement.id = "newBodyElement";
document.body = aNewBodyElement;
alert(document.body.id); // "newBodyElement"
</pre>

<h2 id="Notes">Notes</h2>

<p><code>document.body</code> is the element that contains the content for the document. In documents with <code>&lt;body&gt;</code> contents, returns the <code>&lt;body&gt;</code> element, and in frameset documents, this returns the outermost <code>&lt;frameset&gt;</code> element.</p>

<p>Though the <code>body</code> property is settable, setting a new body on a document will effectively remove all the current children of the existing <code>&lt;body&gt;</code> element.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG','dom.html#dom-document-body','Document.body')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1','dom.html#dom-document-body','Document.body')}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C','dom.html#dom-document-body','Document.body')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.Document.body")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("document.head")}}</li>
</ul>
